MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004132ATutorContentpublic2010-02-05 10:502018-03-16 17:46
Reportergreg 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.2.3 
Summary0004132: redundant query in browse.inc.php
Descriptioninclude/html/browse.inc.php as redundant SQL query.

see: http://www.atutor.ca/view/3/19566/1.html [^]
TagsNo tags attached.
Affects versionSVN
SVN Revision#ad07c31..1845649 master -> master
Attached Files

- Relationships

-  Notes
(0004049)
harris (developer)
2010-02-08 04:50

COUNT(*) is optimized to return very quickly if the SELECT retrieves from one table, no other columns are retrieved, and there is no WHERE clause.

ref: http://dev.mysql.com/doc/refman/5.0/en/group-by-functions.html [^]
(0005975)
geetakshi (developer)
2013-02-07 14:34

I have made a pull request to fix this bug - https://github.com/atutor/ATutor/pull/39 [^]
(0007955)
greg (administrator)
2018-03-13 19:27

cleaned up redundant query
(0007976)
greg (administrator)
2018-03-16 17:46

closed in 2.2.3

- Issue History
Date Modified Username Field Change
2010-02-05 10:50 greg New Issue
2010-02-05 10:50 greg Affects version => SVN
2010-02-08 04:50 harris Note Added: 0004049
2013-02-07 14:34 geetakshi Note Added: 0005975
2018-03-13 19:27 greg SVN Revision# => ad07c31..1845649 master -> master
2018-03-13 19:27 greg Note Added: 0007955
2018-03-13 19:27 greg Status new => resolved
2018-03-13 19:27 greg Fixed in Version => 2.2.3
2018-03-13 19:27 greg Resolution open => fixed
2018-03-13 19:27 greg Assigned To => greg
2018-03-16 17:46 greg Note Added: 0007976
2018-03-16 17:46 greg Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker